No encuentro el archivo debug.keystore

Tengo un error con Eclipse y el SDK de Android. Aparentemente, proviene del hecho de que mi certificado expiró. Así que googled el error y me encontré con que tengo que eliminar el archivo ~ / .android / debug.keystore. La cosa es que no puedo encontrar este archivo. No está en mi SDK.

Puede alguien ayudarme con esto ?

Edit: Trabajo en Mac.

Abra Preferencias de Eclipse, luego vaya a Android > Crear . Allí usted verá un campo que le dice a la ubicación de su debug keystore.

En Linux / OSX utilice su terminal favorito y escriba rm ~/.android/debug.keystore para eliminar el depurador de claves.

Después de esto, puede crear un nuevo almacén de claves siguiendo estos pasos .

Creo que está en el .android/avd/ en OSX, pero también podría estar en /.android/ como sugieres.

Recuerde que ~ significa su directorio de inicio, por lo que no es necesario buscarlo en su SDK!

(Renuncia) Ha sido un tiempo desde que he luchado con esto , y no lo hice en un mac.

Caducidad del certificado de depuración

El certificado autofirmado utilizado para firmar la aplicación en modo de depuración (el valor predeterminado en las compilaciones de Eclipse / ADT y Ant) tendrá una fecha de caducidad de 365 días a partir de su fecha de creación.

Cuando expire el certificado, obtendrá un error de compilación. En Ant se construye, el error se ve así:

Debug: [echo] Empaquetar bin / samples-debug.apk, y firmar con una clave de depuración … [exec] Depurar certificado expiró el 8/4/08 3:43 PM En Eclipse / ADT, verá un similar Error en la consola de Android.

Para solucionar este problema, simplemente elimine el archivo debug.keystore. La ubicación de almacenamiento predeterminada para AVD se encuentra en ~ / .android / en OS X y Linux, en C: \ Documents and Settings \ .android \ en Windows XP y en C: \ Users \ .android \ en Windows Vista y Windows 7 .

Fuente: Android Publishing Guide: http://developer.android.com/guide/publishing/app-signing.html

  • android.media paquete falta pocas clases en sdk-plataformas
  • Android studio sdk versión 22 excepción durante la renderización: action_bar
  • Error en Facebook sdk de Android durante el inicio de sesión
  • Facebook SDK + SlidingMenu SDK = Desajuste de los tarros! Corregir sus dependencias
  • La aplicación de Android con Facebook no funciona con la aplicación de Facebook instalada
  • ¿Por qué no funciona el código de los tutoriales de Android SDK fuera de la caja?
  • Tratando de usar la biblioteca google-play-services_lib pero obteniendo errores como 'GooglePlayServicesClient no resuelto a un tipo'
  • No se pudo encontrar la carpeta 'herramientas' dentro de SDK
  • Este SDK de Android requiere Android Developer Toolkit versión 14.0.0 o superior. ... Actualice ADT a la última versión
  • Facebook SDK 7.8.0 Error: get_activeBuildTarget no puede ser llamado desde un constructor ScriptableObject
  • Android - ¿Cuál es la diferencia entre compileSDKVersion "Google Inc.:Google APIs: 22" y "22"?
  • FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.